from django.db import models
from django.urls import reverse

# Create your models here.
class Tenant(models.Model):
    salutation = models.CharField(max_length=128, null=True, blank=True)
    firstname = models.CharField(max_length=128)
    lastname = models.CharField(max_length=128)
    iban = models.CharField(max_length=64, null=True, blank=True)
    address1 = models.CharField(max_length=128, null=True, blank=True)
    address2 = models.CharField(max_length=128, null=True, blank=True)
    address3 = models.CharField(max_length=128, null=True, blank=True)
    zip = models.CharField(max_length=10, null=True, blank=True)
    city = models.CharField(max_length=128, null=True, blank=True)
    phone1 = models.CharField(max_length=128, null=True, blank=True)
    phone2 = models.CharField(max_length=128, null=True, blank=True)

    def __str__(self):
        return f"{self.firstname} {self.lastname}"
    
    def get_absolute_url(self):
        return reverse("tenant_detail", kwargs={"pk": self.pk})
